export default function reducer(state: string | undefined, action: Object): string;
export function validationFromCollection(err: any, { validation }?: {
    validation: any;
}): any;
export const VALIDATOR_CHANGED: string;
export const VALIDATION_CANCELED: string;
export const VALIDATION_SAVE_FAILED: string;
export const VALIDATION_FETCHED: string;
export const VALIDATION_ACTION_CHANGED: string;
export const VALIDATION_LEVEL_CHANGED: string;
export const SYNTAX_ERROR_OCCURRED: string;
export namespace INITIAL_STATE {
    const validator: string;
    const validationAction: string;
    const validationLevel: string;
    const isChanged: boolean;
    const syntaxError: null;
    const error: null;
}
export function checkValidator(validator: string): Validator;
export function validationActionChanged(validationAction: string): Object;
export function validationLevelChanged(validationLevel: string): Object;
export function validatorChanged(validator: string): Object;
export function validationFetched(validation: string): Object;
export function validationCanceled(validation: string): Object;
export function validationSaveFailed(error: Object): Object;
export function syntaxErrorOccurred(syntaxError: Object): Object;
export function fetchValidation(namespace: Object): Function;
export function saveValidation(validation: Object): Function;
export function cancelValidation(): Function;
export function activateValidation(): Function;
export type Validator = {
    syntaxError: string;
    validator: Object;
};
//# sourceMappingURL=validation.d.ts.map